local new=websocket.CreateServer
local named={}
function websocket.CreateNamedServer(name,...)
	if not named[name] then
		local ws=new(...)
		named[name]=ws
		return ws,true
	else return named[name],false end
end